{ config, lib, pkgs, ... }:
let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
in {
  # Paquets spécifiques pour un ordinateur portable

  networking.networkmanager.enable = cfg.laptop; # Activation d'un gestionnaire de réseau

  hardware.bluetooth.enable = cfg.laptop;

  environment.systemPackages = with pkgs; mkIf cfg.laptop [
    networkmanagerapplet
  ];

  services.xserver.synaptics = mkIf cfg.laptop {
    enable = true;
    twoFingerScroll = true;
  };
}
